using Blazor.IndexedDB;
using Microsoft.AspNetCore.Components.Web;
using Microsoft.AspNetCore.Components.WebAssembly.Hosting;
using ScannerPilot;

var builder = WebAssemblyHostBuilder.CreateDefault(args);
builder.RootComponents.Add<App>("#app");
builder.RootComponents.Add<HeadOutlet>("head::after");

builder.Services.AddScoped(sp => new HttpClient());

//Blazor.IndexDB
builder.Services.AddSingleton<IIndexedDbFactory, IndexedDbFactory>();

await builder.Build().RunAsync();
